{ pkgs ? import <nixpkgs> {}, ... }:
let eduroam = pkgs.fetchurl {
    name = "eduroam";
    url = "https://cat.eduroam.org/user/API.php?action=downloadInstaller&lang=en&profile=973&device=linux&generatedfor=user&openroaming=0";
    hash = "sha256-/NptbjDU1SZUHQM2TvuOgd62S4tZYsTFHuHc0XxaF4s=";
    recursiveHash = true;
    downloadToTemp = true;
    postFetch = ''
      mkdir -p "$out/bin"
      install -m 755 "$downloadedFile" "$out/bin/eduroam.py"
    '';
  };
in pkgs.mkShell {
  packages = [
    eduroam
    (pkgs.python3.withPackages (ps: with ps; [ dbus-python pyopenssl ]))
  ];

  shellHook = ''
    exec python3 ${eduroam}/bin/eduroam.py
  '';
}
